var express = require("express");
var router = express.Router();
var Book = require("../models/Book");

// 책 목록 불러오기
router.get("/", function(req, res) {
  console.log("Get start");
  Book.find({}, function(err, Books) {
    if (err) res.json({ result: false, message: "not found Books" });
    res.json(Books);
  });
});

// 특정 책 불러오기(id값으로 불러옴)
router.get("/:id", function(req, res) {
  Book.findById(req.params.id, function(err, book) {
    if (err) {
      console.error(err);
      return;
    }
    if (!book) {
      res.json({ result: false, message: "Cannot find book" });
    }
    res.send(book);
  });
});

module.exports = router;
